com.impinj.stp

## Class StpApi.VoidTagConfig.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder<BuilderType>
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessage.Builder<StpApi.VoidTagConfig.Builder>
      - - com.impinj.stp.StpApi.VoidTagConfig.Builder

- All Implemented Interfaces:
    com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, StpApi.VoidTagConfigOrBuilder, java.lang.Cloneable
  Enclosing class:
    StpApi.VoidTagConfig

      public static final class StpApi.VoidTagConfig.Builder
      extends com.google.protobuf.GeneratedMessage.Builder<StpApi.VoidTagConfig.Builder>
      implements StpApi.VoidTagConfigOrBuilder

  Protobuf type `Impinj.STP.VoidTagConfig`

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StpApi.VoidTagConfig` | `build()`
    `StpApi.VoidTagConfig` | `buildPartial()`
    `StpApi.VoidTagConfig.Builder` | `clear()`
    `StpApi.VoidTagConfig.Builder` | `clearKillTag()` If kill_tag is set, it overrides the other possible voiding operations, and none of the other ones will be attempted.
    `StpApi.VoidTagConfig.Builder` | `clearPermalockAllBanks()` Attempt to permalock all the memory banks after writing a 0 length to the PC word and 0xDEADDEAD to the first 2 words of EPC memory.
    `StpApi.VoidTagConfig.Builder` | `clone()`
    `StpApi.VoidTagConfig` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
    `boolean` | `getKillTag()` If kill_tag is set, it overrides the other possible voiding operations, and none of the other ones will be attempted.
    `boolean` | `getPermalockAllBanks()` Attempt to permalock all the memory banks after writing a 0 length to the PC word and 0xDEADDEAD to the first 2 words of EPC memory.
    `boolean` | `hasKillTag()` If kill_tag is set, it overrides the other possible voiding operations, and none of the other ones will be attempted.
    `boolean` | `hasPermalockAllBanks()` Attempt to permalock all the memory banks after writing a 0 length to the PC word and 0xDEADDEAD to the first 2 words of EPC memory.
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `StpApi.VoidTagConfig.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `StpApi.VoidTagConfig.Builder` | `mergeFrom(com.google.protobuf.Message other)`
    `StpApi.VoidTagConfig.Builder` | `mergeFrom(StpApi.VoidTagConfig other)`
    `StpApi.VoidTagConfig.Builder` | `setKillTag(boolean value)` If kill_tag is set, it overrides the other possible voiding operations, and none of the other ones will be attempted.
    `StpApi.VoidTagConfig.Builder` | `setPermalockAllBanks(boolean value)` Attempt to permalock all the memory banks after writing a 0 length to the PC word and 0xDEADDEAD to the first 2 words of EPC memory.

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

      `addRepeatedField, clearField, getAllFields, getField, getFieldBuilder, getParentForChildren, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, isClean, markClean, mergeUnknownFields, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.VoidTagConfig.Builder>`

    - #### clear

          public StpApi.VoidTagConfig.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.VoidTagConfig.Builder>`

    - #### clone

          public StpApi.VoidTagConfig.Builder clone()

      Specified by:
        `clone` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clone` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clone` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.VoidTagConfig.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.VoidTagConfig.Builder>`

    - #### getDefaultInstanceForType

          public StpApi.VoidTagConfig getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public StpApi.VoidTagConfig build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public StpApi.VoidTagConfig buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### mergeFrom

          public StpApi.VoidTagConfig.Builder mergeFrom(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.VoidTagConfig.Builder>`

    - #### mergeFrom

          public StpApi.VoidTagConfig.Builder mergeFrom(StpApi.VoidTagConfig other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.VoidTagConfig.Builder>`

    - #### mergeFrom

          public StpApi.VoidTagConfig.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                 throws java.io.IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.VoidTagConfig.Builder>`
      Throws:
        `java.io.IOException`

    - #### hasKillTag

          public boolean hasKillTag()

      If kill_tag is set, it overrides the other possible voiding operations, and none of the other ones will be attempted.
      Specified by:
        `hasKillTag` in interface `StpApi.VoidTagConfigOrBuilder`

    - #### getKillTag

          public boolean getKillTag()

      If kill_tag is set, it overrides the other possible voiding operations, and none of the other ones will be attempted.
      Specified by:
        `getKillTag` in interface `StpApi.VoidTagConfigOrBuilder`

    - #### setKillTag

          public StpApi.VoidTagConfig.Builder setKillTag(boolean value)

      If kill_tag is set, it overrides the other possible voiding operations, and none of the other ones will be attempted.

    - #### clearKillTag

          public StpApi.VoidTagConfig.Builder clearKillTag()

      If kill_tag is set, it overrides the other possible voiding operations, and none of the other ones will be attempted.

    - #### hasPermalockAllBanks

          public boolean hasPermalockAllBanks()

      Attempt to permalock all the memory banks after writing a 0 length to the PC word and 0xDEADDEAD to the first 2 words of EPC memory.
      Specified by:
        `hasPermalockAllBanks` in interface `StpApi.VoidTagConfigOrBuilder`

    - #### getPermalockAllBanks

          public boolean getPermalockAllBanks()

      Attempt to permalock all the memory banks after writing a 0 length to the PC word and 0xDEADDEAD to the first 2 words of EPC memory.
      Specified by:
        `getPermalockAllBanks` in interface `StpApi.VoidTagConfigOrBuilder`

    - #### setPermalockAllBanks

          public StpApi.VoidTagConfig.Builder setPermalockAllBanks(boolean value)

      Attempt to permalock all the memory banks after writing a 0 length to the PC word and 0xDEADDEAD to the first 2 words of EPC memory.

    - #### clearPermalockAllBanks

          public StpApi.VoidTagConfig.Builder clearPermalockAllBanks()

      Attempt to permalock all the memory banks after writing a 0 length to the PC word and 0xDEADDEAD to the first 2 words of EPC memory.